<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$zon_id=$_GET['zon_id'];
$sql=mysqli_query($con,"SELECT * FROM zonas where zon_id='$zon_id' and empresa='$empresa' and sucursal='$sucursal'");
$zon=mysqli_fetch_array($sql);
$zon_nombre=$zon["zon_nombre"];

?>
<div align="right">
	<a class="btn btn-success" href="#nuevo_mesa" data-toggle="modal" >
        <i class="icon-plus"></i> NUEVA MESA
    </a>
 	<a class="btn btn-info" href="#modif_zona" data-toggle="modal" >
        <i class="icon-plus"></i> EDITAR ZONA
    </a>
 	<a class="btn btn-danger" href="#" onclick="eliminar_zona('<?php echo $zon_id;?>')" >
        <i class="icon-plus"></i> ELIMINAR ZONA
    </a>
</div>
<?php
$sql2=mysqli_query($con,"SELECT * FROM mesas 
where empresa='$empresa' and sucursal='$sucursal' and zon_id='$zon_id'");
while ($reg2=mysqli_fetch_array($sql2)){ 
$mes_id=$reg2["mes_id"];
$mes_img=$reg2["mes_img"];
if($mes_img=='1')
{
	$imagen='mes';
}
if($mes_img=='2')
{
	$imagen='silla';
}
if($mes_img=='3')
{
	$imagen='silla_cine';
}
if($mes_img=='4')
{
    $imagen='cama_sencilla';
}
if($mes_img=='5')
{
    $imagen='cama_doble';
}
if($mes_img=='6')
{
    $imagen='domicilio';
}
?>
    <div class="col-xs-6 col-sm-4" style="width:120px;" >
        <div class="panel panel-success ">
            <p class="etiqueta etiqueta-inactiva"><?php echo $reg2['mes_nombre']; ?> </p>
            <div class="" style=" background-position:center; ">
                <center><img src="img/<?php echo $imagen;?>.png"></center>
            </div>
            <a href="#"  onclick="eliminar_mesa('<?php echo $mes_id;?>','<?php echo $zon_id;?>')" tabindex="0" >
	            <div class="panel-footer" style="height:30px;color:red;">
	                <h5 style="text-align:center;">
	                <p style="font-size:10px;">ELIMINAR</p></h5>
	            </div>
	        </a>
        </div>
    </div>
<?php } ?>
<form method="post" name="modificar_zona" id="modificar_zona">
<div id="modif_zona" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Modificar Zona</h4>
                </div>
                <div class="modal-body">
                    <div id="resultados_zona"></div> 
                    <div class="form-group  ">
                        <label >Nombre</label>
                        <input type="hidden" class="form-control" id="id" name="id" value="<?php echo $zon_id;?>" required >
                        <input type="text" class="form-control" id="nombre" name="nombre" value="<?php echo $zon_nombre;?>"  required>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        <button type="submit" id="btn_zona"  class="btn btn-success">Modificar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
<script >
$("#modificar_zona" ).submit(function( event ) {
$('#btn_zona').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_mesas/editar_zona.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_zona').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_zona").html(datos);
      $('#btn_zona').attr("disabled", false);
     // load(1);
      }
  });
  event.preventDefault();
})
</script>


<script type="text/javascript">
function eliminar_mesa (mes_id,zon_id)
{
    if (confirm("Realmente deseas eliminar la mesa")){ 
    $.ajax({
        type: "GET",
        url: "php_mesas/eliminar_mesa.php",
      	data: "mes_id="+mes_id,
     	beforeSend: function(objeto){
         $('#loader').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
      	},
        success: function(datos){
    	$("#loader").html(datos);
    	load(1);
    	}
      	});
    }
} 

function eliminar_zona (zon_id)
{
    if (confirm("Realmente deseas eliminar la zona? Se eliminara las mesas")){ 
    $.ajax({
        type: "GET",
        url: "php_mesas/eliminar_zona.php",
      	data: "zon_id="+zon_id,
     	beforeSend: function(objeto){
         $('#loader').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
      	},
        success: function(datos){
    	$("#loader").html(datos);
    	load(1);
    	}
      	});
    }
} 
</script>